Bug 738492 - Setting receiver capacity to zero does not always stop the message flow
Summary: Setting receiver capacity to zero does not always stop the message flow
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 1.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Gordon Sim
QA Contact: Leonid Zhaldybin
URL:
Whiteboard:
Depends On:
Blocks: 698367
TreeView+ depends on / blocked
 
Reported: 2011-09-14 23:56 UTC by Jason Dillaman
Modified: 2014-11-09 22:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-14 20:07:26 UTC


Attachments (Terms of Use)

Description Jason Dillaman 2011-09-14 23:56:17 UTC
See JIRA: https://issues.apache.org/jira/browse/QPID-3488

Comment 1 Andy Goldstein 2011-09-15 11:51:14 UTC
MRG-M version: 0.7.946106-32_ptc_hotfix_7

Comment 3 Ted Ross 2012-03-29 19:50:19 UTC
Closing... This was in the 0.14 rebase.

Comment 4 Leonid Zhaldybin 2012-05-15 07:13:55 UTC
CLOSED/CRELEASE -> ASSIGNED -> ON_QA
The defect has to go through QA process.

Comment 5 Leonid Zhaldybin 2012-05-15 07:15:49 UTC
Tested on RHEL5.8 and RHEL6.2 on both main architectures (i386 and
x86_64).
Packages used for testing:

RHEL6.2:
python-qpid-0.14-7.el6_2
python-qpid-qmf-0.14-7.el6_2
qpid-cpp-client-0.14-14.el6_2
qpid-cpp-client-devel-0.14-14.el6_2
qpid-cpp-client-devel-docs-0.14-14.el6_2
qpid-cpp-server-0.14-14.el6_2
qpid-cpp-server-devel-0.14-14.el6_2
qpid-cpp-server-store-0.14-14.el6_2
qpid-cpp-server-xml-0.14-14.el6_2
qpid-java-client-0.14-3.el6
qpid-java-common-0.14-3.el6
qpid-java-example-0.14-3.el6
qpid-qmf-0.14-7.el6_2
qpid-tools-0.14-2.el6_2

RHEL5.8:
python-qpid-0.14-6.el5
python-qpid-qmf-0.14-9.el5
qpid-cpp-client-0.14-14.el5
qpid-cpp-client-devel-0.14-14.el5
qpid-cpp-client-devel-docs-0.14-14.el5
qpid-cpp-client-ssl-0.14-14.el5
qpid-cpp-server-0.14-14.el5
qpid-cpp-server-cluster-0.14-14.el5
qpid-cpp-server-devel-0.14-14.el5
qpid-cpp-server-ssl-0.14-14.el5
qpid-cpp-server-store-0.14-14.el5
qpid-cpp-server-xml-0.14-14.el5
qpid-java-client-0.14-3.el5
qpid-java-common-0.14-3.el5
qpid-java-example-0.14-3.el5
qpid-qmf-0.14-9.el5
qpid-qmf-devel-0.14-9.el5
qpid-tools-0.14-2.el5

Test case from comment 2 passes on MRG/M 2.1.2.

-> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.